#region AuthorHeader
//
//	EvoSystem version 2.1, by Xanthos
//
//
#endregion AuthorHeader
using System;
using Server;
using Server.Items;
using Server.Mobiles;
using Xanthos.Interfaces;

namespace Xanthos.Evo
{
	public class EvoGolemDeed : BaseEvoDeed
	{
		public override IEvoCreature GetEvoCreature()
		{
			return new EvoGolem( "Golem" );
		}

		[Constructable]
		public EvoGolemDeed() : base()
		{
			Name = "an evolution golem plans";
			Hue = 2165;
		}

		public EvoGolemDeed( Serial serial ) : base ( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}